#!/usr/bin/env python
# -*- coding: utf-8 -*-
from lxml import etree
import os, sys
import json
import tarfile



def process_tar_file(tarfname):
    tar = tarfile.open(tarfname, 'r')
    print t.getnames()

def run(flistname, output):
    fl = open(flistname, 'r')
#    filenames = [line.rstrip() for line in f]
#    f.close()
#    total = len(filenames)
#    print 'Total:', total
    n = 0
    records = []
    for fname in fl:
        fname = fname.rstrip()
        filename = fname
        f = open(filename, 'r')
        data1 = f.read().strip().replace('<url>', '<url><![CDATA[').replace('</url>', "]]></url>")
        data = '<?xml version="1.0" encoding="UTF-8"?><record>' + data1 + '</record>'
        f.close()
        print fname
        tree = etree.fromstring(data)
        parts = fname.split('/')
        record = {'_sud' :parts[-3] , '_filename' : parts[-1], '_year' : parts[-2]}        
        for t in tree.iter():
            if t.tag in ['record', 'body']: continue
            record[t.tag] = t.text
#            print t.tag, t.text
            records.append(record)
#            print record    
        if n % 100 == 0: print n #,'of', total
        n += 1
        del data
        del data1
    f = open(output, 'w')
    f.write(json.dumps(records, indent=4))
    f.close()

if __name__ == "__main__":
    process_tar_file(sys.argv[1])
#    run(sys.argv[1], sys.argv[2])

